Bug 477529 - shadow-utils missing requirements on db files such as /etc/group
shadow-utils missing requirements on db files such as /etc/group
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 11:44 EST by Jesse Keating
Modified: 2013-01-09 22:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 11:55:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-12-21 11:44:18 EST
useradd and groupadd won't work without the db files in /etc, which are provided by setup.  This will lead to rpm ordering issues where useradd is called before setup is in place and packages will fail to install.
Comment 1 Jesse Keating 2008-12-21 11:55:40 EST
Fixed this in rawhide
Comment 2 Jesse Keating 2008-12-21 11:55:58 EST
Fixed this in rawhide
Comment 3 Fedora Update System 2009-01-05 08:22:11 EST
shadow-utils-4.1.2-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/shadow-utils-4.1.2-9.fc10
Comment 4 Fedora Update System 2009-01-07 04:27:46 EST
shadow-utils-4.1.2-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.